#include "l3gd20.h"
#include "spi2.h"
void initGyro()
{
	WriteGyroRegister(CTRL_REG1,0x3f); // power up gyro at full speed, all axes.
	WriteGyroRegister(CTRL_REG3,BIT3); // Enable Int2 Data ready
        //WriteGyroRegister(CTRL_REG1,0xff);    // power up gyro at full speed, all axes.
}
void WriteGyroRegister(int SubAddress, int Value)
{
	GPIOD_ODR &= ~BIT7; // Drive CS low
	spi_write(SubAddress,Value);
	GPIOD_ODR |= BIT7; // Drive CS high
}
int ReadGyroRegister(int SubAddress)
{
	int RValue;
	GPIOD_ODR &= ~BIT7; // Drive CS low
	RValue =  spi_read4Wire(SubAddress);
	GPIOD_ODR |= BIT7; // Drive CS high
	return RValue;
}
